DefaultAuthenticatedAttributeTableGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class DefaultAuthenticatedAttributeTableGenerator

- java.lang.Object
- - org.bouncycastle.cms.DefaultAuthenticatedAttributeTableGenerator

- All Implemented Interfaces:
    CMSAttributeTableGenerator

      public class DefaultAuthenticatedAttributeTableGenerator
      extends java.lang.Object
      implements CMSAttributeTableGenerator

  Default authenticated attributes generator.

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.cms.CMSAttributeTableGenerator

      `CONTENT_TYPE, DIGEST, DIGEST_ALGORITHM_IDENTIFIER, MAC_ALGORITHM_IDENTIFIER, SIGNATURE, SIGNATURE_ALGORITHM_IDENTIFIER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAuthenticatedAttributeTableGenerator()` Initialise to use all defaults
    `DefaultAuthenticatedAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributeTable)` Initialise with some extra attributes or overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Hashtable` | `createStandardAttributeTable(java.util.Map parameters)` Create a standard attribute table from the passed in parameters - this will normally include contentType and messageDigest.
    `org.bouncycastle.asn1.cms.AttributeTable` | `getAttributes(java.util.Map parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAuthenticatedAttributeTableGenerator

          public DefaultAuthenticatedAttributeTableGenerator()

      Initialise to use all defaults

    - #### DefaultAuthenticatedAttributeTableGenerator

          public DefaultAuthenticatedAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributeTable)

      Initialise with some extra attributes or overrides.
      Parameters:
        `attributeTable` - initial attribute table to use.

  - ### Method Detail

    - #### createStandardAttributeTable

          protected java.util.Hashtable createStandardAttributeTable(java.util.Map parameters)

      Create a standard attribute table from the passed in parameters - this will normally include contentType and messageDigest. If the constructor using an AttributeTable was used, entries in it for contentType and messageDigest will override the generated ones.
      Parameters:
        `parameters` - source parameters for table generation.
      Returns:
        a filled in Hashtable of attributes.

    - #### getAttributes

          public org.bouncycastle.asn1.cms.AttributeTable getAttributes(java.util.Map parameters)

      Specified by:
        `getAttributes` in interface `CMSAttributeTableGenerator`
      Parameters:
        `parameters` - source parameters
      Returns:
        the populated attribute table